<div class="row bg-img">
    <div class="col-md-6 offset-md-3 mt-8">

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-8 offset-md-2">
                        <img src="../../../assets/images/logo.png" style="height:50px;display:block;margin:auto">
                    </div>
                </div>

            </div>
            <form action="" (ngSubmit)="register()" #registerForm="ngForm">
            <div class="card-body ">
                <div class="row">
                    <div class="col-md-12">
                        <div style="color: green;font-weight:600;text-align:center;margin-bottom:10px">{{ successMsg }}</div>
                    </div>
                    <div class="col-md-6">
                        <div class="example-container">
                            <mat-form-field>
                                <input matInput  [(ngModel)]="fullname" placeholder="Fullname"  name="fullname" required>
                            </mat-form-field>
                            
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="example-container">
                            <mat-form-field>
                                <input matInput  [(ngModel)]="mobile" placeholder="Mobile"  name="mobile" maxlength="10" required>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="example-container">
                            <mat-form-field>
                                <input matInput  [(ngModel)]="emailId" placeholder="Email ID"  name="emailId" required>
                            
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="example-container">
                            <mat-form-field>
                                <input matInput  [(ngModel)]="address" placeholder="Address" name="address" required>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="example-container">
                            <mat-form-field>
                                <input matInput  [(ngModel)]="username" placeholder="Username"  name="username" required>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="example-container">
                            <mat-form-field>
                                <input matInput placeholder="Password"  [(ngModel)]="password" name="password"
                                    [type]="hide ? 'password' : 'text'" required>
                                <button class="btn-eye" mat-icon-button matSuffix (click)="hide = !hide"
                                    [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                                </button>
                            </mat-form-field>
                        </div>
                    </div>
                </div>

                <div class="row mt-15">
                    <div class="col-md-12">
                        <button mat-raised-button color="primary" [disabled]="registerForm.form.invalid"  class="btn-primary">SUBMIT</button>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="mt-15 text-center fs-13"><a routerLink="/"> Already have an account? Click Here</a>
                    </div>
                </div>

            </div>
        </form>
        </div>


    </div>
</div>